Bug 1022876 - Kernel sends 2 remove events when dm device is removed
Kernel sends 2 remove events when dm device is removed
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-24 04:43 EDT by Zdenek Kabelac
Modified: 2015-11-23 12:18 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 12:18:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mpatocka: needinfo-


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2013-10-24 04:43:02 EDT
Description of problem:

From  udevadm monitor I could see 2 remove events being send as a result of single  ioctl(3, DM_DEV_REMOVE, 0x1d690e0).

The second event just wake-ups  udev uselessly.

Version-Release number of selected component (if applicable):
3.12


How reproducible:


Steps to Reproduce:
1. echo "0 1 zero" | dmsetup  create  test
2. run in separate window  'udevadm monitor --kernel --env'
3. dmsetup  remove test

Actual results:

KERNEL[74912.993392] remove   /devices/virtual/block/dm-8 (block)
ACTION=remove
DEVNAME=/dev/dm-8
DEVPATH=/devices/virtual/block/dm-8
DEVTYPE=disk
DM_COOKIE=6348169
MAJOR=253
MINOR=8
SEQNUM=2279
SUBSYSTEM=block
UDEV_LOG=3

KERNEL[74912.994059] remove   /devices/virtual/bdi/253:8 (bdi)
ACTION=remove
DEVPATH=/devices/virtual/bdi/253:8
SEQNUM=2280
SUBSYSTEM=bdi
UDEV_LOG=3

KERNEL[74912.994671] remove   /devices/virtual/block/dm-8 (block)
ACTION=remove
DEVNAME=/dev/dm-8
DEVPATH=/devices/virtual/block/dm-8
DEVTYPE=disk
MAJOR=253
MINOR=8
SEQNUM=2281
SUBSYSTEM=block
UDEV_LOG=3



Expected results:

Only 1 remove event for dm-8 

Additional info:
Comment 1 Zdenek Kabelac 2013-10-24 04:44:44 EDT
Mikulas, maybe you could take a short look ?
Comment 2 Jaroslav Reznik 2015-03-03 10:09:56 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 3 Fedora Kernel Team 2015-11-23 12:18:33 EST
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in over 4 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.